Subject: Re: [Wocky] MIT Adium 0.89.1 (FC 1) available for testing

From: Heather Anne Harrison <[email-masked]>
Date: Fri, 19 May 2006 09:10:33 -0400

I'm pretty sure it just involves dragging them to the trash. I'll cover 
it in the install doc and a stock answer.

Heather Anne
[email-masked]

Quoting Joanne Hallisey <[email-masked]>:

> It is probably mentioning something in documentation, FAQs, about how 
>  to deinstall vendor versions that you don't want cluttering up your  
> computer and how to remove any shortcuts.
> --------------------------------------------
> Joanne Hallisey
> IS&T
> W91-205d
> 3-1894
> [email-masked]
>
>
>
> On May 18, 2006, at 7:30 PM, Atticus Gifford wrote:
>
>> The problem I see is that while we can easily offer to delete  
>> Adium.app from the Applications folder if we find it, mucking about  
>> with the Dock is usually a no-no.  They may also have shortcuts in  
>> other places we don't know about and (horrors) may even have the  
>> application somewhere else.  The freedom on a mac to put things all  
>> over is the main reason we historically haven't tried to micro- 
>> manage too much.  If I haven't been reasonably sure a feature would  
>> work equally well for most users, I've tried to strip it.  I'm  
>> willing to be persuaded about this, but a lot of our other  
>> installers have the same vendor/MIT issue (Fetch and Eudora come to  
>> mind) and users have been happy with them.  I think typically  
>> customers who use the MIT installer either use it once to configure  
>> and then move to vendor versions, or else they just use the MIT  
>> versions as they are available and ignore interim versions.  Early  
>> adopters who are already using Adium at MIT are probably savvy  
>> enough to deal with the cleanup (I feel like most apps I get from  
>> 3rd parties also operate this way).
>>
>> If we feel that I'm not seeing the forest for trees, I'm happy to  
>> consider adding something else.  If you have any thoughts, let me  
>> know.  I'm not reticent, just trending toward simplicity :)
>>
>> -atticus
>>
>>
>> On May 18, 2006, at 5:50 PM, William Cattey wrote:
>>
>>> I ran the installer.
>>> It seemed fine.
>>>
>>> I was surprised that it didn't notice I'd already installed the  
>>> non-MIT version of adium.  Atticus says that SWRT long ago decided  
>>> to only check for confllicts against MIT-created installers.
>>>
>>> We might want to mention to people that if they use our installer,  
>>> and they've already installed the non-MIT Adium, that the MIT  
>>> version will go in a different place, and they'll need to update  
>>> any shortcuts to point at the MIT version.
>>>
>>> -wdc
>>>
>>>
>>> On May 18, 2006, at 5:43 PM, Atticus Gifford wrote:
>>>
>>>> I've updated Adium to the latest binaries, put a little polish on  
>>>> the installer (splash screen, old version cleanup etc.) and  
>>>> disabled automatic version checking.  Take it for a spin and let  
>>>> me know if there are any problems or suggestions.  If this seems  
>>>> fine, then this is the version I'd like to release:
>>>>
>>>> <https://web.mit.edu/swrt/releases/adium/installer/mit- 
>>>> adium-0.89.1-fc1.dmg>
>>>>
>>>> Gaim already has version checking disabled by default, so the  
>>>> current version we're distributing is the one we'll go final with  
>>>> unless there are any bug reports or feature requests.
>>>>
>>>> Thanks,
>>>> Atticus
>>>
>>
>
>